Minecraft(我的世界)中文论坛

 找回密码
 注册(register)
查看: 97288|回复: 187

[指路贴] Mod 安装教程 | Forge / liteloader / Fabric 下载和安装 [1.14.4-1.2.5]

  [复制链接]
1094822247 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
10444
钻石
性别
保密
注册时间
2014-6-5
查看详细资料
 楼主| 发表于 2019-6-21 23:31:03 | 显示全部楼层 |阅读模式

您尚未登录,立即登录享受更好的浏览体验!

您需要 登录 才可以下载或查看,没有帐号?注册(register)

x
本帖最后由 1094822247 于 2019-9-13 12:09 编辑

前言说明

本帖提供 Minecraft: Java版 Mod 安装教程。这将是你开始游玩 Minecraft Mod 的第一步(尝试跳过)。

下面是一些注意事项

  • 本帖更新由 1094822247Mod发布版版主 共同维护。「Mod Loader/基础 API」的转载更新由本帖统一管理。
  • 在安装使用过程中出现任何问题,在 Mod问答版 将会更有效的解决,于本帖回复可能不会被回应。
  • 本帖不适用于「网易国服」版本。其只能使用经网易许可的 Mod,Mod区官方亦不提供任何与其相关的技术信息。
  • 本帖仍有很多不完善的部分,或未能及时更新,请 直接回帖 或在 这里 联系我们。



了解 Mod Loader/API

  • Mod Loader/API 是什么 ?
    Mod Loader/API 是对 Mod Loader (加载器) 及其附带的基础 API 的统称。
    简而言之,你只需要在原版游戏的基础上安装好它们,就可以随时选择加入你喜欢的 Mod 了,它可以看作是 Mod 的运行环境。
    但要注意,你安装的 Mod 必须是基于该 Mod Loader 与其 API 开发的,它们之间存在某些兼容或不兼容的关系,这在下面还会具体提到。
  • Mod  Loader/API → Mod 开发环境?
    这是相对的。Mod Loader/API,对于用户来说是 运行环境 ,而对开发者来说,它们是 开发环境 。
    Mod Loader 和 API 基于 MCPYarn 这样的 对 Minecraft 源码的反编译反混淆项目 开发而成。
    其可以理解为一个规范、简化编程、协调冲突的开发平台。
    对 Minecraft 源码反编译反混淆的行为违反著作权法,不过,Mojang 默许了这种行为。
    如果你有兴趣,可以查看它们的官网文档或到 编程开发版 查找资料,学习并尝试自己制作一个 Mod 。
  • Mod API 历史遗留的误解
    这个概念在过去通常被笼统的称为 安装 Mod API ,因为 Mod Loader 通常与其附带的基础 API 一同发布 (现在不完全是了) 。
    API 的概念是针对开发者而言的而并非用户,开发者利用 Mod API 开发各式趣味横生的 Mod ,但用户并不直接使用它们。
  • Mod Loader/API 是爱好者的产物
    Mod Loader/API 是爱好者制作发布而 非 Mojang 官方 。
    因此早期的 Mod Loader/API 门类众多且在安装使用上较为复杂繁琐,经过近十年迭代发展,现代的情况是基本统一且易用的。



主要 Mod Loader/API 信息汇总

Forge
是 Minecraft 目前最通用和基础的「Mod Loader/API」,包含 Forge Mod Loader 和 Forge API 。
创始人LexManos
相关链接官网 论坛 开发文档 Github
许可声明GUN LGPL 2.1 本帖可能的分流行为基于该协议

Liteloader
是一个轻量的「Mod Loader/API」。可以独立安装也可导出一个运行于 Forge Mod Loader 下的 API 文件。
创始人Mumfrey
相关链接官网 论坛 Jenkins Github
许可声明:见 该页面 permissions (许可证) 部分,本帖可能的分流行为基于该声明

Fabric
是于 Minecraft 1.14 后正式发布的新兴「Mod Loader/API」,更新迅速,支持预览版本的 Minecraft 。包含 Fabric Loader 和 Fabric API 。
创始人Asiekierka
相关链接官网 论坛 Wiki Jenkins Github 站内介绍 使用进阶
许可声明Apache License 2.0 本帖可能的分流行为基于该协议



Mod Loader/API 下载

本节仅提供 Minecraft 1.7.10 及之后 每个0.1的最终版本当前最新版本 的下载链接,其他版本如有需要请在各发布官网自行寻找或参照 旧帖

请尽量使用官方下载渠道,支持作者!

Forge 自动安装器 下载

官方下载页官网

简单说明

各版本直链
1.14.4 最新版本:28.1.1           官方直链 [JAR]           ★稳定版本:28.1.0          官方直链 [JAR]
1.13.2 最新版本:25.0.219       官方直链 [JAR]           ★稳定版本:暂无
1.12.2 最新版本:14.23.5.2838 官方直链 [EXE|JAR]    ★稳定版本:14.23.5.2768 官方直链 [EXE|JAR]
1.11.2 最新版本:13.20.1.2588 官方直链 [EXE|JAR]    ★稳定版本:13.20.1.2386 官方直链 [EXE|JAR]
1.10.2 最新版本:12.18.3.2511 官方直链 [EXE|JAR]    ★稳定版本:12.18.3.2185 官方直链 [EXE|JAR]
1.9.4   最新版本:12.17.0.2051 官方直链 [EXE|JAR]    ★稳定版本:12.17.0.1976 官方直链 [EXE|JAR]
1.8.9   最新版本:11.15.1.2318 官方直链 [EXE|JAR]    ★稳定版本:11.15.1.1722 官方直链 [EXE|JAR]
1.7.10 最新版本:10.13.4.1614 官方直链 [EXE|JAR]    ★稳定版本:10.13.4.1558 官方直链 [EXE|JAR]

网盘分流页:暂无

Liteloader 自动安装器 下载

官方下载页官网 Jenkins

简单说明

各版本直链
1.12.2 稳定性:良好   官方直链 [EXE|JAR]
1.11.2 稳定性:良好   官方直链 [EXE|JAR]
1.10.2 稳定性:优秀   官方直链 [EXE|JAR]
1.9.4   稳定性:优秀   官方直链 [EXE|JAR]
1.8.9   稳定性:一般   官方直链 [EXE|JAR]
1.7.10 稳定性:优秀   官方直链 [EXE|JAR]

网盘分流页:暂无

Fabric 自动安装器 / API 下载

官方下载页
Fabric Loader 官网 Jenkins
Fabric API Curse

简单说明

各版本直链
1.14.X 安装器:0.5.0.35  官方直链 [EXE|JAR]    Fabric API:Curse 下载页

网盘分流页:暂无



Mod Loader/API 安装

自动安装器的使用是比较「傻瓜式」的一键化操作。界面逻辑设计上都差不多。

以下注意事项
1.版本选择:
Forge 和 liteloader 下载的哪个版本,安装的就是哪个版本;Fabric 则是在安装器内选择要安装的版本,一般而言游戏版本选择你需要的,其他则选择最新的就可以了。
2.安装选项:
Install Client - 安装到客户端,Install Server - 安装到服务端,EXtract - 提取 (提取出的 liteloader jar 就可以放在 Forge 下作为 Mod API 运行了) 。
3.安装路径:
默认安装路径是原版游戏默认存放位置。如果非原版或修改了游戏文件路径,请把安装器中的文件路径定位到你要安装的「.minecraft」下。
4.启动原版:
安装前记得启动一次原版游戏,否则安装器都会有红字提示 (如上图) 。
5.安装过程中或安装后启动过程中可能需要联网下载一些文件,请保持网络通畅;如果无法下载,请尝试切换网络提供商;安装成功后会有提示安装成功 (Successful) 的字样。

官方安装说明 (英文,供读者参考)
Forge (下拉见 How to install Forge: For Players 一节)
Liteloader (见正文 installation 一节)
Fabric (见 Regular client 一节)

第三方启动器
你也可以通过其內建的功能很方便的实现部分 Mod Loader/API 的一键下载安装,此处不再赘述。



Mod 安装

第一步 定位游戏文件夹「.minecraft」

官方默认位置:
在 Windows 系统下,按 Win+R 键,在弹出的「运行」窗口中输入 %appdata% ,然后点击「确定」即可;各安装器的默认加载路径也是此位置,可以直接复制到文件管理器中定位;或在官方启动器中查看及修改该路径。
其他位置:
一般是你自行在网络上下载的游戏文件包,它通常和第三方启动器在同一级文件夹下。

第二步 将你下载的 Mod 文件移入「Mods」文件夹下

在安装了 Mod Loader/API 后,「.minecraft」下通常会自动生成一个「Mods」文件夹 (如没有可以自行创建) ,将你下载的 Mod 文件移入该文件夹下即可。
1.7以后的版本其他形式各异的安装方式已经基本绝迹了,1.7以前的版本可以参考 旧帖 Mod 图文安装教程 部分的介绍。
注意:安装的 Mod 过多可能造成严重的性能下降或造成游戏崩溃。



多版本并存

我本来很想仔细研究一下这个问题的,鉴于太懒,所以还是算了。在这里大概的提一下,如果有更好的方案,欢迎补充。
这里的「多版本并存」指的是不同版本的 Minecraft ,不同版本的 Mod Loader/API 及 它们的 Mods ,个人还是比较原始的一个整合包一个 .minecraft 文件夹,比较一目了然,容易打包备份。
有不少第三方启动器应该是支持版本隔离,或者是把版本管理做得很好,官方启动器则可以给不同的版本设置不同的存储路径。



后记 更新日志

本帖的编写参考了:
http://www.mcbbs.net/thread-63718-1-1.html
http://www.mcbbs.net/thread-5431-1-1.html
以及部分 Mod Loader/API 官方资料,上面信息汇总处已经列明,此处不再重复。
感谢诸位开发者的优秀创作以及传播者们的热情!
特别感谢梨木对我完成本帖的帮助!

2019/09/13 更新 Forge 1.14.4 最新版 28.1.1 和官方推荐版本 28.1.0 ,更新 Fabric 安装器 到 0.5.0.35
2019/08/20 更新了 部分内容的排版
2019/08/17 更新了 Forge 对应的 1.14.4 版本;补充了对于 Forge 或其他安装器 JAR 版本无法打开的原因,即 未在系统内安装 Java
2019/07/25 更新了 Forge 和 Fabric 对应的 1.14.4 版本






评分

参与人数 21人气 +44 金粒 +290 收起 理由
芝士真好吃 + 1 MCBBS有你更精彩~
小艳子77 + 1 MCBBS有你更精彩~
源几何啊 + 1 MCBBS有你更精彩~
991200448 + 1 + 5 MCBBS有你更精彩~
SPGoding + 3 + 25 ↓ 他抄了
ruhuasiyu + 2 + 40 格式不错,我抄了
liach + 2 + 40 厉害
kojomo + 1 + 5 MCBBS有你更精彩~
fcglzw + 1 神乎其技,不服不行!
6798742546 + 2 MCBBS有你更精彩~
56659573 + 1 MCBBS有你更精彩~
BensonQC + 4 + 50 MCBBS有你更精彩~
pixelgear + 2 MCBBS有你更精彩~
mine新时代xs + 2 尝试跳过可还行噗哈哈哈
ItIsEnderman + 4 + 50 MCBBS有你更精彩~
云雾 + 2 神乎其技,不服不行!
我的工业2 + 2 + 25 快乐更新
+ 3 这个安装教程终于有新版了
梨木利亚 + 5 + 50 遥遥,我的英雄...........
xmdhs + 2 MCBBS有你更精彩~

查看全部评分

wulinlin313 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
22
钻石
性别
保密
注册时间
2019-8-5
查看详细资料
发表于 昨天 20:00 来自手机 | 显示全部楼层
好了,,,,,,,
回复

使用道具 举报

starKingb 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
29
钻石
性别
保密
注册时间
2019-9-15
查看详细资料
发表于 昨天 14:00 | 显示全部楼层
我下载的forge安装不了啊,有大佬知道怎么解决吗?
回复

使用道具 举报

1015808603 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
12
钻石
性别
保密
注册时间
2019-9-8
查看详细资料
发表于 前天 19:06 | 显示全部楼层
第一百八十 发表于 2019-9-14 10:28
不会呀,有视频吗?都不知道怎么安装。

+q1015808603,无偿告诉你,我也是在这弄明白的
回复

使用道具 举报

炎之FLAMEE 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
46
钻石
性别
保密
注册时间
2019-9-7
查看详细资料
发表于 前天 12:44 | 显示全部楼层
好有用啊666
回复

使用道具 举报

第一百八十 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
39
钻石
性别
保密
注册时间
2019-7-9
查看详细资料
发表于 前天 10:28 | 显示全部楼层
不会呀,有视频吗?都不知道怎么安装。
回复

使用道具 举报

w2963220767 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
20
钻石
性别
保密
注册时间
2019-2-5
查看详细资料
发表于 前天 08:12 | 显示全部楼层
嘟嘟嘟嘟偶读的
回复

使用道具 举报

olofmeister 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
8
钻石
性别
保密
注册时间
2019-9-13
查看详细资料
发表于 3 天前 | 显示全部楼层
1094822247 发表于 2019-9-13 14:25
https://www.mcbbs.net/thread-905312-1-1.html
请在此帖反馈一下
另外,请勿在版块内直接张贴日志刷屏( ...

好的,谢谢大佬。
回复

使用道具 举报

1094822247 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
10444
钻石
性别
保密
注册时间
2014-6-5
查看详细资料
 楼主| 发表于 3 天前 | 显示全部楼层
olofmeister 发表于 2019-9-13 14:17
大佬,我下载了最新的预览版,那个pre4的,但是我一把它放进mods文件夹里,就无法启动游戏了。报错。不装 ...

https://www.mcbbs.net/thread-905312-1-1.html
请在此帖反馈一下
另外,请勿在版块内直接张贴日志刷屏(2-3-d)
回复

使用道具 举报

2770279243 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
263
钻石
性别
保密
注册时间
2019-7-22
查看详细资料
发表于 3 天前 来自手机 | 显示全部楼层
2770279243 发表于 2019-9-13 14:09
不是,1.14.4的高清修复需要前置

我只知道这个MOD叫《OptiFabric》
回复

使用道具 举报

olofmeister 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
8
钻石
性别
保密
注册时间
2019-9-13
查看详细资料
发表于 3 天前 | 显示全部楼层
本帖最后由 olofmeister 于 2019-9-13 14:27 编辑
1094822247 发表于 2019-9-13 12:30
https://www.mcbbs.net/thread-898194-1-3.html 支持的现在。
在optifine下载页面,上面有个 Preview ver ...

大佬,我下载了最新的预览版,那个pre4的,但是我一把它放进mods文件夹里,就无法启动游戏了。报错。不装那个OPtifine的话能正常打开装了1.14.4forge的MC,大佬知道怎么搞吗,我看不懂他那个日志到底报错在哪里大佬能帮忙看下嘛:
回复

使用道具 举报

2770279243 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
263
钻石
性别
保密
注册时间
2019-7-22
查看详细资料
发表于 3 天前 来自手机 | 显示全部楼层
olofmeister 发表于 2019-9-13 12:19
请问1.14.4的forge和OPtifine是不能兼容吗?我装OPtifine时一直显示无法安装

不是,1.14.4的高清修复需要前置
回复

使用道具 举报

1094822247 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
10444
钻石
性别
保密
注册时间
2014-6-5
查看详细资料
 楼主| 发表于 3 天前 | 显示全部楼层
olofmeister 发表于 2019-9-13 12:19
请问1.14.4的forge和OPtifine是不能兼容吗?我装OPtifine时一直显示无法安装

https://www.mcbbs.net/thread-898194-1-3.html 支持的现在。
optifine下载页面,上面有个 Preview versions ,点击一下展开,下最新的预览版就有了。
回复

使用道具 举报

olofmeister 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
8
钻石
性别
保密
注册时间
2019-9-13
查看详细资料
发表于 3 天前 | 显示全部楼层
请问1.14.4的forge和OPtifine是不能兼容吗?我装OPtifine时一直显示无法安装
回复

使用道具 举报

xy_DDD 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
16
钻石
性别
保密
注册时间
2019-9-11
查看详细资料
发表于 4 天前 来自手机 | 显示全部楼层
lwZWQl 发表于 2019-8-12 20:07
Downloading minecraft client failed, invalid checksum. Try again, or use the vanilla launcher to ins ...

老哥,你解决了吗,,我也是同样问题,不知道怎么办,,求帮助
回复

使用道具 举报

CN.Wen 当前离线
帖子
主题
精华
贡献
最后登录
1970-1-1
爱心
积分
158
钻石
性别
保密
注册时间
2019-8-1
查看详细资料
发表于 2019-9-8 16:40:35 | 显示全部楼层
各位大佬,forge只能安装在C盘吗?

评分

参与人数 1金粒 +1 收起 理由
1094822247 + 1 不是,路径可以自己选

查看全部评分

回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册(register)

本版积分规则

Archiver|小黑屋|Mcbbs.net ( 京ICP备15023768号-1 ) | 京公网安备 11010502037624号 | 手机版

GMT+8, 2019-9-16 14:39 , Processed in 0.047305 second(s), Total 23, Slave 22 queries , Gzip On, MemCached On.

"Minecraft"以及"我的世界"为Mojang Synergies AB的商标 本站与Mojang以及微软公司没有从属关系

© 2010-2019 我的世界中文论坛 版权所有 本站原创图文内容版权属于原创作者,未经许可不得转载

快速回复 返回顶部 返回列表